@charset "utf-8";

html {
  overflow-x: hidden;
  scrollbar-width: thin;
  color-scheme: light only;
}

body {
  font-family: 'ZCOOL KuaiLe', 'HarmonyOS Sans SC', 'Noto Sans CJK SC', 'Noto Color Emoji', 'Unifont', 'Arial', sans-serif, serif;
  width: 100vw;
  min-height: 100vh;
  min-height: 100dvh;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow-x: hidden;
}

.layui-text a:not(.layui-btn):hover {
    color: #6cf !important;
}

.placeholder-halfline {
    line-height: .5;
}

.placeholder-halfline::after {
    content: "\00a0";
}

/* nav */

ul.layui-nav {
  overflow-x: auto;
  height: min-content;
}

/* theme switch */

@media (min-width: 385px) {
  #theme-switch {
    float: right;
  }
}

/* carousel */

.layui-carousel {
  height: 280px;
}

div[carousel-item] > div {
  text-align: center;
}

div[carousel-item] > div > * {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

/* panel */

div.layui-panel, div.layui-collapse {
    overflow: hidden;
}

.layui-row > * > * {
    background-color: rgba(255, 255, 255, 0.94);
}

#main-title {
    overflow-x: auto;
    overflow-y: hidden;
    scrollbar-width: thin;
}

/* background */

.background {
    position: fixed;
    top: -1px;
    left: -1px;
    width: calc(100vw + 2px);
    height: calc(100vh + 2px);
    filter: blur(1px);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    /* background-image: url('https://static.wikia.nocookie.net/phigros/images/e/eb/Broken_Sky_jacket.png'); */
    background-image: url('https://static.xhustudio.eu.org/images/webp/Broken_Sky_jacket.webp');
}

/* lunar calendar custom */

#lunar-calendar-container > .layui-card-body {
    text-align: center;
    overflow: hidden;
    text-overflow: ellipsis;
}

#lunar-calendar-container > .layui-card-body > div > div {
    text-align: initial;
}

/* face */

#name-face-container > .layui-card-header {
    background-color: #c2c2c2;
    /* background-image: url('https://static.wikia.nocookie.net/phigros/images/f/fb/Miracle_Forest_%28VIP_Mix%29_jacket.png'); */
    background-image: url('https://static.xhustudio.eu.org/images/webp/Miracle_Forest__VIP_Mix__jacket.webp');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: rgba(255,255,255,.9);
    overflow: hidden;
}

#face-container {
    width: 100px;
    height: 68px;
}

img[alt=face] {
    position: relative;
    top: -32px;
    width: inherit;
}

@media (max-width: 300px) {
    #face-container {
        display: none;
    }
    #maincontainer {
        margin-right: 0;
    }
}

#maincounter {
    height: 44px;
    line-height: 1.4;
    margin-right: 12px;
}

#maincounter > * {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#communi-container * {
    width: 20px;
    text-align: center;
}

#post-index-container {
  box-sizing: border-box;
}

/* pageload progress */

.layui-progress {
  left: -1px;
  right: -1px;
  z-index: 1;
}

.layui-progress > * {
  transition: width 200ms linear;
}

/* postcard */

.postcard {
    background-color: rgba(255, 255, 255, .04);
    display: block;
	height: 300px;
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    color: rgba(255, 255, 255, .9);
}

.postcard:hover {
    color: #fff;
}

.postcard:hover > .postcard-bg {
    filter: blur(1px);
    transform: scale(1.1);
}

.postcard-bg {
    position: absolute;
    height: 100%;
    width: 100%;
    transition-property: filter, transform;
    transition-duration: 200ms;
    transition-timing-function: linear;
}

.postcard-bg > img {
  object-fit: cover;
  object-position: center;
  width: inherit;
  height: inherit;
}

.postcard-desc {
    background-color: rgba(0, 0, 0, 0.3);
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    line-height: 1.5;
}

/* markdown */

code {
    border-radius: 4px;
    background-color: #dddc;
    color: rgba(0, 0, 0, .8);
    font-family: 'JetBrainsMono NFM', 'JetBrainsMono', 'Noto Sans Mono CJK SC', 'Consolas', monospace;
    padding: 0 4px;
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
}

pre.layui-code {
    border: initial;
}

.layui-text img {
    max-width: 100%;
    border-radius: 4px;
}

.hidden {
    background-color: #5f5f5f;
}

.hidden:hover {
    background-color: transparent;
}

.layui-layer .layui-card {
    background-color: transparent !important;
    box-shadow: none !important;
    border: none;
}

.layui-layer .layui-card-header {
    display: none;
}

/* footer */

#footer {
  opacity: .9;
  margin-top: auto;
}

#footer-main {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    line-height: 120%;
}

#footer-main > * {
    text-align: center;
    padding: 0 4px;
}

/* friend link */

#friend-link-container {
    text-align: initial;
}

#friend-links {
    flex-direction: column;
    line-height: 1.333;
}

.personal-link:hover {
    color: #6cf;
}

.friends-page-bg-link {
  transition-property: backdrop-filter, -webkit-backdrop-filter;
  transition-duration: 200ms;
  transition-timing-function: linear;
}

.friends-page-bg-link:hover {
    background-color: #f0f8ffcc; /* aliceblue + c/f alpha */
    -webkit-backdrop-filter: blur(1px);
    backdrop-filter: blur(1px);
}

.friends-page-icon {
    object-fit: cover;
    object-position: center;
}

.friends-page-desc {
    text-overflow: ellipsis;
    overflow: hidden;
    line-height: 16px;
}
